
I was looking in this Makefile for link order when my head began to hurt.
Apparently you can't have both NUMAQ and VISWS selected, so getting rid
of all the ifeqs like this should work.

Index: arch/i386/pci/Makefile
===================================================================
RCS file: /var/cvs/linux-2.5/arch/i386/pci/Makefile,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile
--- a/arch/i386/pci/Makefile	25 Feb 2003 12:39:09 -0000	1.6
+++ b/arch/i386/pci/Makefile	23 Jun 2003 15:47:46 -0000
@@ -1,27 +1,13 @@
-obj-y		:= i386.o
+obj-y				:= i386.o
 
 obj-$(CONFIG_PCI_BIOS)		+= pcbios.o
 obj-$(CONFIG_PCI_DIRECT)	+= direct.o
 
-obj-$(CONFIG_X86_VISWS)		+= visws.o
+pci-y				:= fixup.o
+pci-$(CONFIG_ACPI_PCI)		+= acpi.o
+pci-y				+= legacy.o irq.o
 
-ifdef	CONFIG_X86_NUMAQ
-obj-y		+= numa.o
-else
-obj-y		+= fixup.o
+pci-$(CONFIG_X86_VISWS)		:= visws.o fixup.o
+pci-$(CONFIG_X86_NUMAQ)		:= numa.o irq.o
 
-ifdef	CONFIG_ACPI_PCI
-obj-y		+= acpi.o
-endif
-
-ifndef	CONFIG_X86_VISWS
-obj-y		+= legacy.o
-endif
-
-endif		# CONFIG_X86_NUMAQ
-
-ifndef	CONFIG_X86_VISWS
-obj-y		+= irq.o
-endif
-
-obj-y		+= common.o
+obj-y				+= $(pci-y) common.o
